import { IPlayer, IRoom } from "./Model"

export interface IApiPlayerListReq {
}

export interface IApiPlayerListRes {
  list: Array<IPlayer>
}

export interface IApiPlayerJoinReq {
  nickname: string
}

export interface IApiPlayerJoinRes {
  player: IPlayer
}

export interface IApiRoomListReq {
}

export interface IApiRoomListRes {
  list: Array<IRoom>
}

export interface IApiRoomCreateReq {
}

export interface IApiRoomCreateRes {
  room: IRoom
}

export interface IApiRoomJoinReq {
  rid: number
}

export interface IApiRoomJoinRes {
  room: IRoom
}

export interface IApiRoomLeaveReq {
}

export interface IApiRoomLeaveRes { }

export interface IApiGameStartReq {
  rid: number
}

export interface IApiGameStartRes { }